BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Runtime.InteropServices.ComVisible(true)

Implemented by classes that support collections of associated keys and values (i.e. dictionaries).

Each key-value pair must have a unique non-null key, but the value of an association can be any object reference, including a null reference. The interface allows the contained keys and values to be enumerated, but it does not imply any particular sort order.

implementations fall into three categories: read-only, fixed-size, variable-size. A read-only implementation cannot be modified. A fixed-size implementation does not allow the addition or removal of elements, but it allows the modification of existing elements. A variable-size implementation allows the addition, removal and modification of elements.

- Method
  System.Void `` `` The to use as the key of the entry to add. The to use as the value of the entry to add.

  Adds an entry with the provided key and value to the current instance.

  If the specified key already exists in the current instance, this method throws a exception but does not modify the associated value.

  As described above.

  is .

  An entry with the same key already exists in the current instance.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Removes all key and value pairs from the current instance.

  As described above.

  The is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` The key to locate in the .

  Determines whether the current instance contains an entry with the specified key.

  if the contains an entry with the key; otherwise, .

  As described above.

  is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IDictionaryEnumerator

  Returns a for the current instance.

  A for the current instance.

  For detailed information regarding the use of an enumerator, see .

  As described above.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current instance has a fixed size.

  if the current instance has a fixed size; otherwise, .

  This property is read-only.

  A collection with a fixed size does not allow the addition or removal of elements, but does allow the modification of existing elements.

  As described above.

  The default of this property is .

  Override this method, setting the value as , to prevent the addition and removal of the elements in the current instance.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current instance is read-only.

  if the current instance is read-only; otherwise, .

  This property is read-only.

  A collection that is read-only does not allow the addition, removal, or modification of elements.

  As described above.

  The default of this property is .

  Override this method, setting the value as , to prevent the addition, removal, and modification of the elements in the current instance.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Object `` The key of the element to get or set.

  Gets or sets the element in the current instance that is associated with the specified key.

  The element with the specified key.

  This property provides the ability to access a specific element in the collection by using the following syntax: myCollection[index].

  When setting this property, if the specified key already exists in the current instance, the value is required to be replaced; otherwise, a new element is required to be created.

  is .

  The property is set and the current instance is read-only.

  The property is set, does not exist in the collection, and the current instance has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Collections.ICollection

  Gets a containing the keys of the current instance.

  A containing the keys of the current instance.

  This property is read-only.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The key of the entry to remove.

  Removes the entry with the specified key from the current instance.

  If is not found in the current instance, no exception is thrown and the current instance remains unchanged.

  is .

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Collections.ICollection

  Gets a containing the values in the current instance.

  A containing the values in the current instance.

  This property is read-only.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
0 System.Collections.ICollection